package com.yifu.cloud.plus.v1.business.service.vacation;


import com.baomidou.mybatisplus.extension.service.IService;
import com.yifu.cloud.plus.v1.business.dto.vacation.AddVacationMonitorClearLogDTO;
import com.yifu.cloud.plus.v1.business.entity.vacation.TVacationMonitorClearLog;
import com.yifu.cloud.plus.v1.business.vo.vacation.TVacationMonitorClearLogVO;
import com.yifu.cloud.plus.v1.yifu.common.core.util.R;

import java.util.List;

/**
 * @description: 假期监控清零日志表 service层
 * @author: wangweiguo
 * @date: 2021-08-16
*/
public interface TVacationMonitorClearLogService extends IService<TVacationMonitorClearLog> {

    /**
     * @description: 查询-列表: 查询当前年假所有清零记录
     * @param vacationMonitorId 年假监控id
     * @return: R<List<TVacationMonitorClearLogVO>>
     * @author: wangweiguo
     * @date: 2021-08-16
     */
    R<List<TVacationMonitorClearLogVO>> getList(Integer vacationMonitorId);

    /**
     * @description: 清零说明: 记录年假清零说明
     * @param dto
     * @return: R<Boolean>
     * @author: wangweiguo
     * @date: 2021-08-16
     */
    R<Boolean> clearNote(AddVacationMonitorClearLogDTO dto);
}
